<%@ page import="org.owasp.csrfguard.util.*" %>

<%
	HttpSession sess = request.getSession(true);
	String csrf = RandomGenerator.generateRandomId("SHA1PRNG", "SUN", 32);
	sess.setAttribute("OWASP_CSRFTOKEN", csrf);
%>

  <input type="hidden" name="OWASP_CSRFTOKEN" value=<%=csrf%> /> 
